/*
 * jET - An alternative scenery editor for the electic locomotive simulator, MaSzyna
 * Copyright (C) 2003 2004  Adam Domaski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package org.jet;

import javax.swing.table.TableModel;

/**
 * This interface implements tables in project palette.
 * <p>It extends <code>javax.swing.table.TableModel</code> interface to
 * support fixed row and column sizes.</p>
 *
 * @author Adam Domaski
 * @version 0.1 26/02/2004
 */
public interface Palette
{
	/**
	 * Gets table model for the palette table.
	 */
	TableModel getTableModel();

	/**
	 * Gets name of this palette. It should be localized.
	 */
	String getName();
}
