/*
 * jET - An alternative scenery editor for the electic locomotive simulator, MaSzyna
 * Copyright (C) 2003 2004  Adam Domaski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package org.jet.sce;

import java.util.EventObject;

/**
 * Scenery selection event.
 *
 * @see ScenerySelectionModel
 * @see ScenerySelectionListener
 * @author Adam Domaski
 * @version 0.1 12/02/2004
 */
public class ScenerySelectionEvent extends EventObject
{
	/**
	 * Constructs selection event object with element as selected item.
	 *
	 * @param source Source of the event.
	 * @param element Selected item (it may be <code>null</code>).
	 */
	public ScenerySelectionEvent(ScenerySelectionModel source, Object element)
	{
		super(source);
		selectedObject = element;
	}

	/**
	 * Gets selected change.
	 */
	public Object getChange()
	{
		return selectedObject;
	}

	/**
	 * Gets scenery selection model for this event.
	 */
	public ScenerySelectionModel getSelectionModel()
	{
		return (ScenerySelectionModel) this.getSource();
	}

	/** Selection. */
	private Object selectedObject;
}
