/*
 * jET - An alternative scenery editor for the electic locomotive simulator, MaSzyna
 * Copyright (C) 2003  Adam Domaski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package prv.doman.fsa;

/**
 * Thrown when the state already exists in set of states.
 *
 * @author Adam Domaski
 * @version 0.1 10/08/2003
 */
public class StateRedefinitionException extends AutomatonException
{
	/**
	 * Creates new state redefinition exception.
	 *
	 * @param stateName Redefined state name.
	 */
	public StateRedefinitionException(String stateName)
	{
		this.stateName = stateName;
	}

	/**
	 * Gets a state name.
	 *
	 * @return Redefined state name.
	 */
	public String getState()
	{
		return stateName;
	}

	/** State storage. */
	private String stateName;
}
